Skip to main content
POST
/
events
/
custom
/
2026-03
/
send
cURL
curl --request POST \
  --url https://api.hubapi.com/events/custom/2026-03/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventName": "<string>",
  "properties": {},
  "email": "<string>",
  "objectId": "<string>",
  "occurredAt": "2026-01-20T21:14:16.512Z",
  "utk": "<string>",
  "uuid": "<string>"
}
'
This response has no body data.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
eventName
string
required

The event's fully qualified name. This value (formatted as pe{HubID}_{name}) can be retrieved through the event definitions API or in HubSpot's UI.

properties
object
required

The event properties to update. Takes the format of key-value pairs (property internal name and property value). Learn more about HubSpot's default event properties.

email
string

The visitor's email address. Used for associating the event data with a CRM record.

objectId
string

The ID of the record for which the event occurred (e.g., contact ID or visitor ID).

occurredAt
string<date-time>

The time when this event occurred. If this isn't set, the current time will be used.

Example:

"2026-01-20T21:14:16.512Z"

utk
string

The visitor's usertoken. Used for associating the event data with a CRM record.

uuid
string

Include a universally unique identifier to assign a unique ID to the event occurrence. Can be useful for matching data between HubSpot and other external systems.

Response

Last modified on March 30, 2026